	var animspeed = 'fast';
	var nav_main = false;
	var nav_sub = false;
	var nav_visible = false;
	var nav_open = false;
	var nav_close = false;
	
	var main_menu_urlary=new Array();
	main_menu_urlary[0]="";
	main_menu_urlary[1]="";
	main_menu_urlary[2]="";
	main_menu_urlary[3]="";
	main_menu_urlary[4]="";
	main_menu_urlary[5]="";	
	main_menu_urlary[6]="";	
	main_menu_urlary[7]="";	
	main_menu_urlary[8]="";	
	main_menu_urlary[9]="";	
		  
	var delayInt;	
	var delayOpen=false;
	
	function checkmenu(){
		
		if((nav_main || nav_sub) && !nav_visible && delayOpen){ 
			if(!nav_open && !nav_close){
				nav_open = true;
				
				jQuery('#sub_menu_ct').slideDown(
					animspeed,
					function(){
						nav_open = false;
						nav_visible = true;
					}
				);
			}

		}else if(!nav_main && !nav_sub && nav_visible){
			if(!nav_close && !nav_open){
				nav_close = true;
				jQuery('#flash-anim *').show();
				jQuery('#sub_menu_ct').slideUp(
					animspeed,
					function(){
						nav_close = false;
						nav_visible = false;
					}
				);
			}
		}
	}	
	
	
	function hightlight(id){
		for(var i=1;i<=9;i++){
			if(col_id!=i){
				if(i==id){
					jQuery('#nav-'+i).addClass('nav-'+i+'-hightlight');					
				}else{
					jQuery('#nav-'+i).removeClass('nav-'+i+'-hightlight');					
				}
			}
			
			if(i==id){
				jQuery('.sub_nav_'+i).addClass('sub_nav_'+i+'_bk');
			}else{
				jQuery('.sub_nav_'+i).removeClass('sub_nav_'+i+'_bk');
			}			
		}
	}
	
	function menuRest(){
		for(var i=1;i<=9;i++){
			if(col_id!=i){
				jQuery('#nav-'+i).removeClass('nav-'+i+'-hightlight');
				jQuery('.sub_nav_'+i).removeClass('sub_nav_'+i+'_bk');
			}
		}		
	}
	
	function delayCheck(){
		delayOpen=true;
		timeit = setInterval('checkmenu()',100);
	}
	var col_id;
	jQuery(document).ready(function(){
			jQuery("#hot_line_menu").mousemove(function(){
				zx_dlg(1);
			 });
			
			jQuery("#hot_line_menu").mouseout(function(){
				zx_dlg(0);
			 });
			
			jQuery('#vod_pic').click(function(){
				jQuery.facebox(function() { 
				  jQuery.get('intro_vod.htm', function(data) {
					jQuery.facebox(data)
				  })
				})
			});
			
			jQuery('div#top_menu').mouseover(function(){
				delayInt=setTimeout('delayCheck()',100);
				nav_main = true;

			});
			jQuery('div#top_menu').mouseout(function(){
				clearTimeout(delayInt);
				delayOpen=false;
				nav_main = false;
			});
			
			jQuery('#sub_menu_ct').mouseover(function(){
				nav_sub = true;
			});
			jQuery('#sub_menu_ct').mouseout(function(){
				nav_sub = false;
				menuRest();
			});

			for(var i=1;i<=9;i++){
				jQuery('#nav-'+i).data("index",i);	
				jQuery('#nav-'+i).click(function(){			  
					if(String(window.location).indexOf("index.htm")>0){
						//window.open(main_menu_urlary[jQuery(this).data("index")]);						
					}else{
						//window.location=main_menu_urlary[jQuery(this).data("index")];
					}
				});					
				
				if(col_id!=i){
					jQuery('#nav-'+i).mouseover(function(){
						hightlight(jQuery(this).data("index"));
					});
					
					jQuery('#nav-'+i).mouseout(function(){
						nav_sub = false;
						menuRest();	
					});
					
					jQuery('.sub_nav_'+i).data("index",i);

				}else{
					jQuery('#nav-'+i).addClass('nav-'+i+'-hightlight');
				
				}
				
				jQuery('.sub_nav_'+i).data("index",i);
				jQuery('.sub_nav_'+i).mouseover(function(){
					hightlight(jQuery(this).data("index"));				
				});	
			}
	});	